//The research was supported by the project  GACR GA15-03564S

function ps=genps(n,t,y,u)
  // ps=genps(n,t,y,u)    generation of regression vector \psi
  //                        i.e. without y(t)
  // n    order
  // t    time
  // y    output
  // u    input

  ps=u(:,t);
  for i=1:n
    ps=[ps; y(:,t-i); u(:,t-i)];
  end
  ps=[ps; 1];
endfunction
