//The research was supported by the project  GACR GA15-03564S

function mp=predDis(nc,y,mu)  
  // mp=predDis(nc,y,mu)  data prediction from discrete components
  // mp      data proximities to components
  // nc      number of components
  // y       data item
  // mu      statistics for model estimation

  j=psi2row(y,[2 2]);                     // number of row in model table
  
  for c=1:nc
    mup(c).ent=mu(c).ent; 
    mup(c).ent(j)=mu(c).ent(j)+1;         // trial updt of stat.
    be(c).ent=fnorm(mup(c).ent,2);        // pt.estim.of par. = predict.
    mp(c)=be(c).ent(j);                   // pred.of c-th comp.
  end
  mp=fnorm(mp);                           // normaliz.of predic.
  mp=mp(:);                               // column vector
endfunction
