//The research was supported by the project  GACR GA15-03564S

function [zt]=genz(kz,nd)
  // generation of piecewise constant variable
  // zt   the generated variable
  // kz   numbet of values of zt
  // nd   length of zt

kz=3;
pz=[.3 .6 1];
zt=[];
for i=1:1e6
  j1=sum(rand(1,1,'u')>pz)+1;
  j2=fix(5*rand(1,1,'u'))+15;
  zt=[zt j1*ones(1,j2)];
  if length(zt)>nd, break, end
end
zt=zt(1:nd);
endfunction
