//The research was supported by the project  GACR GA15-03564S

function mp=predExp(nc,y,Est)
  // mp=predExp(nc,y,Est)  data predic. from Exp. components 
  // mp      data proximities to components
  // nc      number of comoponents
  // y       data item
  // Est     estimation structire

  mc=zeros(nc,1);
  for i=1:nc                                         
    // proximities of current data y from individual components
    [xxx mc(i)]=ExpA(y,ones(2,1)./Est(i).th,Est(i).A);        
          // logarithmic "proximities" of data
  end                                                

  mcc=mc-max(mc);                         // pre-normalization    
  mp=exp(mcc);                            // taking exponentials  
  if sum(abs(mp))<1e-8                                
    mp=ones(nc,1);                        // take uniform distr.
  end                                                
  mp=mp/sum(mp);                          // normaliz. to probs
endfunction
