//The research was supported by the project  GACR GA15-03564S

function unifplot(th,s)
  // plot of a rectangle 
  // th   [L1 U1
  //       L2 U2]
  // s    format of plot

  if argn(2)<2, s='b'; end
  
  for j=1:max(size(th))
    L1=th(j)(1,1);
    R1=th(j)(1,2);
    L2=th(j)(2,1);
    R2=th(j)(2,2);

    plot([L1,R1],[L2,L2],s)
    plot([L1,R1],[R2,R2],s)
    plot([L1,L1],[L2,R2],s)
    plot([R1,R1],[L2,R2],s)
  end
endfunction
