//The research was supported by the project  GACR GA15-03564S

function [h,f]=vals(a)
  // [h f]=vals(a)  find different values of vector a 
  //                and their frequencies               
  // h       values and frequencies  [vals;abs_freq]
  // f       relative frequencies
  
  a=a(:)';
  b=gsort(a,'g','i');
  [v,m]=unique(b);
  dm=diff(m);
  n1=length(b)+1;
  n=[dm n1-m($)];
  f=n/sum(n);
  h=[v(:)';n];

  if sum(n)~=max(size(a))
    disp('Error: in vals.sci')
    return
  end
endfunction

